function SetEnabled(X100,instrument, enabled)
%set OSR

%disp(['Setting OSR mode for ',instrument]);
command_string=[instrument,' SET ENABLED ',num2str(enabled)];
while X100.TransferStatus~='idle'; disp('waiting for idle'); pause(0.001); end;
fprintf(X100, command_string); 

command_string=[instrument,' GET ENABLED '];
while X100.TransferStatus~='idle'; disp('waiting for idle'); pause(0.001); end;
fprintf(X100, command_string); 
return_string=fgetl(X100);

if str2num(return_string)~=enabled
    disp(['ERROR: Enabled not set properly. Return string=',return_string, ' Enabled=', num2str(enabled)] )
else
    disp(['Enabled set properly on instrument ', instrument, '. Return string=',return_string, ' Enabled=', num2str(enabled)] );
end


return