function SetRange(X100,instrument, Range)

%disp(['Setting Range=', num2str(Range), ' for ',instrument]);

command_string=[instrument,' SET Range ',num2str(Range)];
while X100.TransferStatus~='idle'; disp('waiting for idle'); pause(0.001); end;
fprintf(X100, command_string);

command_string=[instrument,' GET Range '];
while X100.TransferStatus~='idle'; disp('waiting for idle'); pause(0.001); end;
fprintf(X100, command_string);
return_string=fgetl(X100);

if str2num(return_string)~=Range
    disp(['ERROR: Range not set properly. Return string=',return_string, ' Range=', num2str(Range)] )
else
    disp(['Range set properly on ', instrument, '. Return string=',return_string, ' Range=', num2str(Range)] )
end


return